SELECT 
	*
FROM 
	dokument f, kalkulacija d
WHERE 
	f.arhiviran=1 AND f.storno= 0 AND f.iznos - f.stornoIznos - f.uplata <> 0 AND  f.iznos-f.stornoiznos-d.ukupnofakturisano <> 0  AND 
	((f.tip='KALKULACIJA' AND 
	(f.podtip='OTPREMNICA' OR f.podtip='PRENOSNICA')))
	and f.iddok = d.iddok 
order by
d.sfrkomitent